#ifndef _PROGDVB_RC_KEYS_
#define _PROGDVB_RC_KEYS_

#ifndef _countof
#define _countof(_____A) (sizeof(_____A)/sizeof(_____A[0]))
#endif

namespace RcKeys
{
	const char* Mute="Mute";
	const char* Record="Record";
	const char* Subtitles="Subtitles";
	const char* ChangeAudio="ChangeAudio";
	const char* PIP="PIP";
	const char* PowerOff="Power Off";
	const char* Exit="Exit";
	const char* ScreenShot="Screen Shot";
	const char* VolumeUp="VOL+";
	const char* VolumeDown="VOL-";
	const char* Zoom="Zoom";
	const char* ZoomIn="Zoom In";
	const char* ZoomOut="Zoom out";
	const char* Ratio="Ratio";
	const char* LastChannel="Last channel"; // recall is same
	const char* FullScreen="FullScreen";
	const char* Pause="Pause";
	const char* Play="Play";
	const char* Stop="Stop";
	const char* Replay="Replay";			//First
	const char* Rewind="Rewind";
	const char* Forward="Forward";
	const char* Skip="Skip";				//last
	const char* Info="Info";
	const char* Teletext="Teletext";
	const char* EPG="EPG";
	const char* ChannelList="ChannelList";
	const char* Menu="MainOsdMenu";
	const char* Cancel="Cancel";
	
	const char* OK="OK";
	const char* Up="Up";
	const char* Down="Down";
	const char* Left="Left";
	const char* Right="Right";

	const char* ChPlus="CH+";   
	const char* ChMinus="CH-";

	const char* N0="0";
	const char* N1="1";
	const char* N2="2";
	const char* N3="3";
	const char* N4="4";
	const char* N5="5";
	const char* N6="6";
	const char* N7="7";
	const char* N8="8";
	const char* N9="9";
	
	const char* F1="F1"; //Red
	const char* F2="F2"; //Green
	const char* F3="F3"; //Yellow
	const char* F4="F4"; //Blue
	const char* F5="F5";
	const char* F6="F6";
	const char* F7="F7";
	const char* F8="F8";
	const char* F9="F9";
	
	/////////// not used in current version of ProgDVB (in default settings)
	const char* Live="Live";					
	const char* Shuffle=ScreenShot; 
	const char* Timer="Timer";
	const char* Favorites="Favorites";
	const char* AB="A/B";
	const char* Setup="Setup";
	const char* OpenFile=Play;
	const char* Radio="Radio";
	const char* Sleep="Sleep";
	const char* Monitor="Monitor";
	// Akad added for MS RC
	const char* DVD_Angle="DVD Angle";
	const char* My_Music="My Music";
	const char* My_Pictures="My Pictures";
	const char* My_TV="My TV";
	const char* My_Videos="My Videos";
	const char* TV_Jump="TV/Jump";
	const char* Recorded_TV="Recorded TV";
	// for AzureWave
	const char* Preview="Preview";
	const char* Tab = "Tab";

	struct TKeyId
	{
		const char*	Key;
		DWORD	ID;

		static const char* Find(TKeyId*arr,int count,DWORD id)
		{
			for(int i=0;i<count;i++,arr++)
			{
				if(arr->ID==id) return arr->Key;
			}
			return 0;
		};
	};

} 


#endif