#ifndef __RC_PLUGIN_H__
#define __RC_PLUGIN_H__

#define RC_EXPORT_TYPE	__declspec(dllexport) __cdecl

#pragma pack(push,1)

#define WPARAM_SEND_RC_CODE					0x01023004
// For example ::PostMessage(hCommandWmd,WM_USER,WPARAM_SEND_RC_CODE,"Record");

struct TRcPluginInfo
{
	int		m_StructSize;
	HWND		m_hCommandWnd; //to plugin
	wchar_t*	m_pConfigName; //to plugin
	wchar_t 	m_Name[100];   //from plugin
	HWND		m_hInterfaceWnd; //to plugin
};


extern "C" bool	RC_EXPORT_TYPE	RcGetInfo(TRcPluginInfo*info);
extern "C" bool	RC_EXPORT_TYPE	RcStart();
extern "C" void	RC_EXPORT_TYPE	RcStop();
extern "C" void	RC_EXPORT_TYPE	RcShowDialog(HWND hwnd);



#pragma pack(pop)

#endif //__RC_PLUGIN_H__